<?xml version="1.0" encoding="utf-8"?>
<TableLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:stretchColumns="0,3"
        android:gravity="center_vertical"
        android:id="@+id/table">



    <TableRow>

        <TextView />

        <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="服务器地址：" />

        <EditText
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:minWidth="150dp"
                android:id="@+id/address"
                android:singleLine="true"
                android:hint="ip地址或者域名地址" />

        <TextView />
    </TableRow>

    <TableRow>

        <TextView />

        <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="服务器端口：" />

        <EditText
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:minWidth="150dp"
                android:id="@+id/port"
                android:singleLine="true"
                android:inputType="number"
                android:hint="介于1024-65535之间的数字" />

        <TextView />
    </TableRow>

    <TableRow>

        <TextView />

        <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="访问子路径：" />

        <EditText
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:minWidth="150dp"
                android:id="@+id/path"
                android:singleLine="true"
                android:hint="服务器子路径" />

        <TextView />
    </TableRow>


    <TableRow
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="隐藏状态栏：" />

        <EditText
            android:id="@+id/hide_bar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:hint="1:隐藏；0显示"
            android:minWidth="150dp"
            android:inputType="number"
            android:digits="01"
            android:singleLine="true" />

        <TextView />
    </TableRow>

    <TableRow
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="屏幕方向：" />

        <EditText
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:minWidth="150dp"
            android:id="@+id/screen_rotation"
            android:singleLine="true"
            android:inputType="number"
            android:digits="12345678"
            android:hint="5正竖;6倒竖;7正横;8倒横;1竖;2横;3横竖;4禁止" />

        <TextView />
    </TableRow>



    <TableRow>

        <TextView />

        <Button
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/save"
                android:text="保 存" />

        <Button
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/cancel"
                android:layout_marginLeft="10px"
                android:text="取 消" />

        <TextView />
    </TableRow>


</TableLayout>